bounceHammer has been EOL'ed on February 29, 2016

Sisimai
Commercial Support

  • 1Setting Up Sisimai Your Server
  • 2Support developmenet using Sisimai
  • 3Support via Email
  • 4Support bounce management
  • 5Parsing your bounced emails

bounceHammer 2.7.1

2011/05/25

bounceHammer 2.7.1 Release

bounceHammer 2.7.1 has been released.


To get the files for this release, see Download page. RELEASE_NOTS[English] has a list of all changes between bounceHammer 2.7.0 and 2.7.1.

A Patial List of Changes

Assorted Improvements and Code Cleanup

  • New configure option --with-perl-extlib=[dir], the dir is the directory which contain required perl modules installed by cpanm -l.
  • Support My Opera Mail's domain: @myopera.com.
  • Update syslog format of each command
  • Update email domains of fastmail.fm and Excite.
  • Update webmail domains of some countries in Europe and Southeast Asia.
  • Support some smartphone domains of America and Indonesia.
  • A bounce email which is rejected by AOL Phoenix Sender Filter will be classified into the reason 'filtered', and by Content Filter will be classified into the reason 'contenterr'.
  • A bounce email which is rejected by @MAIL.RU's Filter will be classified into the reason 'filtered'.
  • A bounce email which is rejected by @MAIL.RU with the message "We do not accept mail from dynamic IPs" will be classified into the reason 'notaccept'.

Fixed Bugs

  • Fixed an issue that the following warning message is displayed: ``Use of uninitialized value in transliteration (tr///) at lib/Kanadzuchi/Address.pm line 147,148''.
  • Fixed an issue that the following warning message is displayed: ``Use of uninitialized value in lc at lib/Kanadzuchi/MTA/US/Google.pm line 195''.
  • Fixed an issue that when DBD::* driver module is missing, command line tools shows the following error message: ``Can't use string ("Failed to connect DB at /usr/loc"...) as a HASH ref ...''.
  • Fixed an issue that --skip-norelaying option of bin/mailboxparser command does not work propery.

Upgrading to bounceHammer 2.7.1

Get the tarball of bounceHammer 2.7.1 release from Download page. If there is any patch for version 2.7.1, download patches and apply before running the progmam: configure, make.

To upgrade to bounceHammer 2.7.1 from the previous version or older, you overwrite the previous version like the following:

# ./configure <- with the same option of currenlty installed version
# make
# make test && make install